TAIL(1)

NAME
tail - display the last part of a file

SYNOPSIS
tail [-f] [-b number | -c number | -n number] [file...]

  Obsolescent:
tail [-f] [+|-number[l | b | c]] [file...]

DESCRIPTION
The tail utility displays the contents of file or, by default, its standard input, to the standard output.

The display begins at a byte, line or 512-byte block location in the input. Numbers having a leading plus (``+'') sign are relative to the beginning of the input, for example, -c +2 starts the display at the second byte of the input. Numbers having a leading minus (``-'') sign or no explicit sign are relative to the end of the input, for example, -n 2 displays the last two lines of the input. The default starting location is -n 10, or the last 10 lines of the input.

OPTIONS
The options are as follows:

    -b  The location is number 512-byte blocks.

    -c  The location is number bytes.

    -f  The -f option causes tail not to stop when end of file is reached, but rather to wait for additional data to be appended to the input. The -f option is ignored if the standard input is a pipe, but not if it is a FIFO.

    -n  The location is number lines.

If more than a single file is specified, each file is preceded by a header consisting of the string ==> XXX <== where XXX is the name of the file.

The tail utility exits 0 on success, and >0 if an error occurs.

VERSION
This manual page documents tail version 2.0.

ATTRIBUTIONS
This command was ported from FreeBSD source code for distribution with GNO/ME 2.0.6.

SEE ALSO
cat(1), head(1), sed(1)

STANDARDS
The tail utility is expected to be a superset of the POSIX.2 specification. In particular, the -b option is an extension to that standard.

The historic (obsolescent) command line syntax of tail is supported by this implementation.

HISTORY
The BSD -r option, which causes the input to be displayed in reverse order, by line, has not been implemented for the GNO version of tail.

Version 1.1 (18-Jan-93) of tail, shipped with GNO 2.0, was written by Sameer Parekh (zane@ddsw1.MCS.COM).